Opened 23 months ago

Closed 23 months ago

Last modified 23 months ago

#910 closed enhancement (fixed)

ST3160316AS not is not in the database

Reported by: ysha Owned by:
Priority: minor Milestone: Release 6.6
Component: drivedb Version: 6.5
Keywords: Cc:

Description (last modified by Christian Franke)

Hi, ST3160316AS HDD is not in the database of smartmontools 6.5, see attached file.

#smartctl -q noserial -x /dev/sdX > /tmp/smartctl-VENDOR-MODEL.txt


smartctl 6.5 2016-05-07 r4318 [FreeBSD 9.3-RELEASE-p53 amd64] (local build)
Copyright (C) 2002-16, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Device Model:     ST3160316AS
Firmware Version: JC45
User Capacity:    160 041 885 696 bytes [160 GB]
Sector Size:      512 bytes logical/physical
Rotation Rate:    7200 rpm
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   ATA8-ACS T13/1699-D revision 4
SATA Version is:  SATA 3.0, 6.0 Gb/s (current: 3.0 Gb/s)
Local Time is:    Wed Oct  4 08:56:43 2017 GMT-7
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
AAM level is:     208 (intermediate), recommended: 208
APM feature is:   Unavailable
Rd look-ahead is: Enabled
Write cache is:   Enabled
ATA Security is:  Disabled, NOT FROZEN [SEC1]
Wt Cache Reorder: Unknown

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x82)	Offline data collection activity
					was completed without error.
					Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0)	The previous self-test routine completed
					without error or no self-test has ever 
					been run.
Total time to complete Offline 
data collection: 		(  625) seconds.
Offline data collection
capabilities: 			 (0x7b) SMART execute Offline immediate.
					Auto Offline data collection on/off support.
					Suspend Offline collection upon new
					command.
					Offline surface scan supported.
					Self-test supported.
					Conveyance Self-test supported.
					Selective Self-test supported.
SMART capabilities:            (0x0003)	Saves SMART data before entering
					power-saving mode.
					Supports SMART auto save timer.
Error logging capability:        (0x01)	Error logging supported.
					General Purpose Logging supported.
Short self-test routine 
recommended polling time: 	 (   1) minutes.
Extended self-test routine
recommended polling time: 	 (  33) minutes.
Conveyance self-test routine
recommended polling time: 	 (   2) minutes.
SCT capabilities: 	       (0x103f)	SCT Status supported.
					SCT Error Recovery Control supported.
					SCT Feature Control supported.
					SCT Data Table supported.

SMART Attributes Data Structure revision number: 10
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAGS    VALUE WORST THRESH FAIL RAW_VALUE
  1 Raw_Read_Error_Rate     POSR--   112   099   006    -    44327435
  3 Spin_Up_Time            PO----   100   100   000    -    0
  4 Start_Stop_Count        -O--CK   100   100   020    -    14
  5 Reallocated_Sector_Ct   PO--CK   100   100   036    -    0
  7 Seek_Error_Rate         POSR--   100   253   030    -    59404
  9 Power_On_Hours          -O--CK   100   100   000    -    15
 10 Spin_Retry_Count        PO--C-   100   100   097    -    0
 12 Power_Cycle_Count       -O--CK   100   100   020    -    14
183 Runtime_Bad_Block       -O--CK   100   100   000    -    0
184 End-to-End_Error        -O--CK   100   100   099    -    0
187 Reported_Uncorrect      -O--CK   100   100   000    -    0
188 Command_Timeout         -O--CK   100   098   000    -    8590065666
189 High_Fly_Writes         -O-RCK   100   100   000    -    0
190 Airflow_Temperature_Cel -O---K   070   052   045    -    30 (Min/Max 24/30)
194 Temperature_Celsius     -O---K   030   048   000    -    30 (0 24 0 0 0)
195 Hardware_ECC_Recovered  -O-RC-   055   048   000    -    44327435
197 Current_Pending_Sector  -O--C-   100   100   000    -    0
198 Offline_Uncorrectable   ----C-   100   100   000    -    0
199 UDMA_CRC_Error_Count    -OSRCK   200   200   000    -    0
240 Head_Flying_Hours       ------   100   253   000    -    40 (167 19 0)
241 Total_LBAs_Written      ------   100   253   000    -    326085595
242 Total_LBAs_Read         ------   100   253   000    -    964176949
                            ||||||_ K auto-keep
                            |||||__ C event count
                            ||||___ R error rate
                            |||____ S speed/performance
                            ||_____ O updated online
                            |______ P prefailure warning

General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
Address    Access  R/W   Size  Description
0x00       GPL,SL  R/O      1  Log Directory
0x01       GPL,SL  R/O      1  Summary SMART error log
0x02       GPL,SL  R/O      5  Comprehensive SMART error log
0x03       GPL     R/O      5  Ext. Comprehensive SMART error log
0x06       GPL,SL  R/O      1  SMART self-test log
0x07       GPL     R/O      1  Extended self-test log
0x09       GPL,SL  R/W      1  Selective self-test log
0x10       GPL     R/O      1  SATA NCQ Queued Error log
0x11       GPL     R/O      1  SATA Phy Event Counters log
0x21       GPL     R/O      1  Write stream error log
0x22       GPL     R/O      1  Read stream error log
0x80-0x9f  GPL,SL  R/W     16  Host vendor specific log
0xa1       GPL,SL  VS      20  Device vendor specific log
0xa2       GPL     VS    2248  Device vendor specific log
0xa8       GPL,SL  VS     129  Device vendor specific log
0xa9       GPL,SL  VS       1  Device vendor specific log
0xb0       GPL     VS    2928  Device vendor specific log
0xbd       GPL     VS     252  Device vendor specific log
0xbe-0xbf  GPL     VS   65535  Device vendor specific log
0xc0       GPL,SL  VS       1  Device vendor specific log
0xe0       GPL,SL  R/W      1  SCT Command/Status
0xe1       GPL,SL  R/W      1  SCT Data Transfer

SMART Extended Comprehensive Error Log Version: 1 (5 sectors)
No Errors Logged

SMART Extended Self-test Log Version: 1 (1 sectors)
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Short offline       Completed without error       00%        15         -
# 2  Short offline       Completed without error       00%        15         -

SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.

SCT Status Version:                  3
SCT Version (vendor specific):       522 (0x020a)
SCT Support Level:                   1
Device State:                        Active (0)
Current Temperature:                    30 Celsius
Power Cycle Min/Max Temperature:     24/30 Celsius
Lifetime    Min/Max Temperature:     24/48 Celsius
Under/Over Temperature Limit Count:   0/0

SCT Temperature History Version:     2
Temperature Sampling Period:         1 minute
Temperature Logging Interval:        59 minutes
Min/Max recommended Temperature:     14/55 Celsius
Min/Max Temperature Limit:           10/60 Celsius
Temperature History Size (Index):    128 (42)

Index    Estimated Time   Temperature Celsius
  43    2017-09-29 03:38     ?  -
 ...    ..( 83 skipped).    ..  -
 127    2017-10-02 14:14     ?  -
   0    2017-10-02 15:13    48  *****************************
   1    2017-10-02 16:12     ?  -
   2    2017-10-02 17:11    48  *****************************
   3    2017-10-02 18:10     ?  -
   4    2017-10-02 19:09    48  *****************************
   5    2017-10-02 20:08     ?  -
   6    2017-10-02 21:07    48  *****************************
   7    2017-10-02 22:06     ?  -
   8    2017-10-02 23:05    26  *******
   9    2017-10-03 00:04     ?  -
  10    2017-10-03 01:03    27  ********
  11    2017-10-03 02:02     ?  -
  12    2017-10-03 03:01    31  ************
  13    2017-10-03 04:00     ?  -
  14    2017-10-03 04:59    32  *************
  15    2017-10-03 05:58     ?  -
  16    2017-10-03 06:57    32  *************
 ...    ..(  4 skipped).    ..  *************
  21    2017-10-03 11:52    32  *************
  22    2017-10-03 12:51     ?  -
  23    2017-10-03 13:50    28  *********
  24    2017-10-03 14:49    28  *********
  25    2017-10-03 15:48    32  *************
  26    2017-10-03 16:47     ?  -
  27    2017-10-03 17:46    32  *************
  28    2017-10-03 18:45     ?  -
  29    2017-10-03 19:44    32  *************
  30    2017-10-03 20:43    32  *************
  31    2017-10-03 21:42     ?  -
  32    2017-10-03 22:41    31  ************
  33    2017-10-03 23:40    31  ************
  34    2017-10-04 00:39    32  *************
  35    2017-10-04 01:38    31  ************
  36    2017-10-04 02:37    31  ************
  37    2017-10-04 03:36     ?  -
  38    2017-10-04 04:35    31  ************
  39    2017-10-04 05:34     ?  -
  40    2017-10-04 06:33    24  *****
  41    2017-10-04 07:32    24  *****
  42    2017-10-04 08:31    30  ***********

SCT Error Recovery Control:
           Read: Disabled
          Write: Disabled

Device Statistics (GP/SMART Log 0x04) not supported

SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x000a  2            6  Device-to-host register FISes sent due to a COMRESET
0x0001  2            0  Command failed due to ICRC error
0x0003  2            0  R_ERR response for device-to-host data FIS
0x0004  2            0  R_ERR response for host-to-device data FIS
0x0006  2            0  R_ERR response for device-to-host non-data FIS
0x0007  2            0  R_ERR response for host-to-device non-data FIS

Change History (5)

comment:1 Changed 23 months ago by Christian Franke

Description: modified (diff)
Milestone: unscheduled

comment:3 Changed 23 months ago by Alex Samorukov

fixed in r4536

comment:4 Changed 23 months ago by Alex Samorukov

Milestone: unscheduledRelease 6.6
Resolution: fixed
Status: newclosed

comment:5 Changed 23 months ago by Christian Franke

Merged in r4544.

Note: See TracTickets for help on using tickets.